#!/bin/sh

get_pass() {
    # @@@ Add kdialog
    MENU="$1" TITLE="$2"

    if [ "$MENU" = "zenity" ] ; then
        zenity --title "$TITLE" --password
    else
        echo
    fi
}

term_prompt() {
    TITLE="$1" ; PROMPT="$2" ; MODE="$3" ; LIST="$4"
    if [ "$MODE" = "info" ]  ; then printf '\n\033[1m\033[34m=== %s ===\033[0m\n%s ENTER' "$TITLE" "$PROMPT" ; fi
    if [ "$MODE" = "entry" ] ; then printf '\n\033[1m\033[34m=== %s ===\033[0m\n%s\n -> ' "$TITLE" "$PROMPT" ; fi
    if [ "$MODE" = "list" ]  ; then printf '\n\033[1m\033[34m=== %s ===\033[0m\n%s (1, 2, 3, ...)\n%s\n -> ' "$TITLE" "$PROMPT" "$LIST" ; fi
    if [ "$MODE" = "error" ] ; then printf '\n\033[1m\033[31m=== %s ===\033[0m\n%s\n' "$TITLE" "$PROMPT" ; fi
}
